Start 14 day Free Trial EN

Customer support - FAQ

What's the minimal Android version required?

The minimal version required is Android 4.1.

NB: the app is only compatible with smartphones

Was this article helpful?
Yes No 0 out of 0 found this helpful